Jump to
Ctrl
+
/

Get Fee Recommendations KASPA

GET
/blockchain-fees/kaspa/{network}/mempool

Through this endpoint customers can obtain fee recommendations. Our fees recommendations are based on Mempool data which makes them much more accurate than fees based on already mined blocks. Calculations are done in real time live.

Path Parameters

network string Required

Represents the name of the blockchain network used; blockchain networks are usually identical as technology and software, but they differ in data, e.g. - "mainnet" is the live network with actual data while networks like "testnet", "sepolia" are test networks.

Query Parameters

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

Response Schema

apiVersion string Required

Specifies the version of the API that incorporates this endpoint.

2024-12-12
requestId string Required

Defines the ID of the request. The requestId is generated by Crypto APIs and it's unique for every request.

601c1710034ed6d407996b30
context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

yourExampleString
data object Required
item object Required
feePerGram object Required
fast string Required

Fast fee rate per gram in sompi

25
slow string Required

Slow fee rate per gram in sompi

1
standard string Required

Standard fee rate per gram in sompi

5
unit string Required

Unit of the fee rate (e.g. sompi)

timeForMining object Required
fast integer Required

Estimated time in seconds for fast fee rate

1
slow integer Required

Estimated time in seconds for slow fee rate

60
standard integer Required

Estimated time in seconds for standard fee rate

10
unit string Required

Units of the time value needed for the transaction to be mined.

Credits Cost

Blockchain protocol Credits for 1 Results
Default Cost 378
Kaspa 378
Was this page helpful?
Yes
No
Powered by
Language
URL

{
    "apiVersion": "2024-12-12",
    "requestId": "601c1710034ed6d407996b30",
    "context": "yourExampleString",
    "data": {
        "item": {
            "feePerGram": {
                "fast": "25",
                "slow": "1",
                "standard": "5",
                "unit": ""
            },
            "timeForMining": {
                "fast": 1,
                "slow": 60,
                "standard": 10,
                "unit": ""
            }
        }
    }
}